<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'Reon' ) ) {

    return;
}

if ( !class_exists( 'Pricely_Admin_Data_List_CountDown_Designs' ) ) {

    require_once 'inline.php';

    class Pricely_Admin_Data_List_CountDown_Designs {

        private $source_type;

        public function __construct() {

            $this->source_type = 'countdown_designs';
        }

        public function can_get_data( $source ) {

            return $this->source_type == $source;
        }

        public function get_data( $result, $data_args ) {

            global $pricely_settings;

            return $this->get_inline_data( $result, $pricely_settings );
        }

        private function get_inline_data( $result, $pricely_settings ) {

            return Pricely_Admin_Data_List_CountDown_Inline_Designs::get_instance()->get_data( $result, $pricely_settings );
        }

    }

}